FORUMS: list search recent posts

Final Cut Pro 5 too outdated for a 2010 MacBook Pro version 10.6.8?

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
tiffany duke
Final Cut Pro 5 too outdated for a 2010 MacBook Pro version 10.6.8?
on Feb 10, 2012 at 12:45:26 am

I am trying to install Final Cut Pro 5 on my 2010 MacBook Pro version 10.6.8, however, I get the following message:

"Your computer does not have the hardware required to run this software. See the Read Me for details."

Reading the READ ME I see that my computer fulfills all of the listed requirements. Please help.

Dukesup


Return to posts index

Shane Ross
Re: Final Cut Pro 5 too outdated for a 2010 MacBook Pro version 10.6.8?
on Feb 10, 2012 at 12:51:27 am

FCP 5.0? Yes. 5.1? Maybe. 5.0 and lower only worked on PowerPC Macs...the ones with Motorola chips. As soon as Mac went Intel, software needed a complete re-write. FCP 5.1 was called the CROSSGRADE and was the first to work on INtel Macs. Anything under that won't work on Intel.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Andrew Kimery
Re: Final Cut Pro 5 too outdated for a 2010 MacBook Pro version 10.6.8?
on Feb 10, 2012 at 6:55:10 am

IBM made PPC CPUs as well. The dork in me just had to point that out.

2.9 GHz 8-core (4,1), FCP 7.0.3, 10.6.6
Blackmagic Multibridge Eclipse (7.9.5)



Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]